<div class="manage-card-layout manage-card-feature manage-card-dashboard" {{did-insert this.setup}}>
  <div class="cover mb-3 {{unless this.hasCover "no-cover"}}" style={{this.bgCover}}>
    {{#if @onSelect}}
      <ChkRecordSelection @record={{this.record}} @selection={{@selection}} @onSelect={{@onSelect}} />
    {{/if}}
  </div>
  <div class="mb-2 name-container">
    <span class="badge text-bg-{{this.visibilityClass}} float-end visibility">{{t this.visibilityText}}</span>

    <span class="name">{{@record.title}}</span>
  </div>
  <div class="description mb-3 {{unless @record.firstParagraph 'text-danger'}}">{{this.firstParagraph}}</div>

  {{#if @record.canEdit}}
    <div class="action-container btn-group w-100">
      <LinkTo class="btn btn-main-action" @route="manage.features.edit" @model={{@record.id}}>
        {{t "edit"}}
      </LinkTo>

      <Dropdown @isDropdownToggle={{true}} @toggleClass="btn btn-outline-secondary dropdown-toggle dropdown-toggle-split btn-open-options">
        <ModelActions::Record @record={{@record}} @onDelete={{@onDelete}} />
      </Dropdown>
    </div>
  {{/if}}
</div>